Package com.studica.frc.jni

## Class TitanQuadEncoderJNI

- java.lang.Object
- - com.studica.frc.jni.TitanJNIWrapper
  - - com.studica.frc.jni.TitanQuadEncoderJNI

    public class TitanQuadEncoderJNI
    extends TitanJNIWrapper

### Constructor Summary

Constructors
`TitanQuadEncoderJNI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `c_TitanQuadEncoder_getEncoderDistance​(long handle, int encoder, double encoder0DistPerTick, double encoder1DistPerTick, double encoder2DistPerTick, double encoder3DistPerTick, int encoderTicks, double distance)`
`static void` `c_TitanQuadEncoder_resetEncoder​(long handle, int encoder)`
`static void` `c_TitanQuadEncoder_setEncoder​(long handle, int encoder, double distPerTick, double encoder0DistPerTick, double encoder1DistPerTick, double encoder2DistPerTick, double encoder3DistPerTick)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitanQuadEncoderJNI

    public TitanQuadEncoderJNI()

### Method Detail

#### c_TitanQuadEncoder_setEncoder

    public static void c_TitanQuadEncoder_setEncoder​(long handle,
                                                     int encoder,
                                                     double distPerTick,
                                                     double encoder0DistPerTick,
                                                     double encoder1DistPerTick,
                                                     double encoder2DistPerTick,
                                                     double encoder3DistPerTick)

#### c_TitanQuadEncoder_getEncoderDistance

    public static double c_TitanQuadEncoder_getEncoderDistance​(long handle,
                                                               int encoder,
                                                               double encoder0DistPerTick,
                                                               double encoder1DistPerTick,
                                                               double encoder2DistPerTick,
                                                               double encoder3DistPerTick,
                                                               int encoderTicks,
                                                               double distance)

#### c_TitanQuadEncoder_resetEncoder

    public static void c_TitanQuadEncoder_resetEncoder​(long handle,
                                                       int encoder)